> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://www.truework.com/docs/api-reference/versions/2023-10-30/create-new-target-employer-verification/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://www.truework.com/_mcp/server. # Create a target employer order POST https://api.truework-sandbox.com/orders/target-employer Content-Type: application/json Creates a new order and verification. Returns a JSON object representing the newly created order and verification. A target employer verification is distinct in that it *requires* a target employer in the request body for processing. ## Verification processing Target employer verifications are processed *asynchronously*: they will be created and returned in the response body without any [reports](api.yaml/paths/~1verification-requests~1\{verification_id}~1report/get). Truework will then send a webhook when the request has finished processing, and the reports can be retrieved. This creates a verification request with the following attributes: * Target employer required * Is processed asynchronously * Can be any client-defined combination of Instant, Credentials, and Smart Outreach verification methods * Returns the verification on a new order object ### Controlling Processing with request config The request config object allows you to configure how you use Truework by selecting only the verification methods and features you need. Reference: https://www.truework.com/docs/api-reference/versions/2023-10-30/create-new-target-employer-verification ## Authentication - `Authorization` header (bearer token, required) — Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `. ## Servers - `https://api.truework-sandbox.com` (Sandbox, default) - `https://api.truework.com` (Production) ## Request ### Headers - `Accept` (enum, optional, default: application/json) — Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes. - Allowed values: `application/json`, `application/json; version=2023-10-30` ### Body (application/json) This endpoint expects an OrderTargetEmployerVerificationRequestV20231030. - `permissible_purpose` (enum, required) — A valid purpose is required for Truework to process the verification request. Throughout the API, this is signified by the `permissible_purpose` field. | VALUE | DESCRIPTION | | ---------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- | | child-support | Determine child support payments (available to verifiers that represent a state or local child support enforcement agencies) | | credit-application | The target's application for credit | | employee-eligibility | Employee's eligibility for a benefit granted by a governmental agency required by law to consider the employee's financial responsibility or status | | employee-request | The target has issued the verifier written instruction to obtain this information | | employee-review-or-collection | Performing a review or collection of the target's account | | employment | Employment purposes where the target has given prior written consent | | insurance-underwriting-application | Underwriting insurance in response to the target's application | | legitimate-reason-initiated | Legitimate business need for the information in connection with a business transaction initiated by the target | | legitimate-reason-review | Legitimate business need to review the target's account to determine whether the employee continues to meet the terms of the account | | risk-assessment | To assess the credit or prepayment risks associated with an existing credit obligation of the target | | subpoena | For a court order or a federal grand jury subpoena - Allowed values: `child-support`, `credit-application`, `employee-eligibility`, `employee-request`, `employee-review-or-collection`, `employment`, `insurance-underwriting-application`, `legitimate-reason-initiated`, `legitimate-reason-review`, `risk-assessment`, `subpoena` - `target` (OrderTargetEmployerVerificationTargetInputV20231030, required) — Information on the individual who is being verified - `type` (enum, required) - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets` - `use_case` (enum, required) — The verification request use case describes the type of product the verification request is originating from. If omitted, the verifier type in account settings will be used as a default | VALUE | DESCRIPTION | | ------------------ | ------------------------------------------------------------------------------------------------------------------------------ | | mortgage | Verification for a mortgage | | home-equity | Verification for home equity | background | Verification for a background check | | tenant | Verification for a rental property | | government | Verification for government/social services | | auto | Verification for auto lending | | lending | Verification for personal loans or consumer lending | | credit | Verification for credit cards | | identity | Verification for identity or fraud | | insurance | Verification for insurance | | health | Verification for health services | | offers | Verification for offers | | account-management | Verification for account management | | preapproval | Verification for preapprovals | - Allowed values: `mortgage`, `home-equity`, `background`, `tenant`, `government`, `auto`, `lending`, `credit`, `identity`, `insurance`, `health`, `offers`, `account-management`, `preapproval` - `additional_information` (string, optional, nullable) — Any additional information about the target that can help expedite the completion of the verification request - `assets_config` (AddonAssetsConfigV20231030, optional, nullable) — Configuration for adding an assets verification to the order. If provided, the created order will include both an income and employment verification and an assets verification. Contact your Truework representative to enable it for your account. - `authorization_forms` (list of AuthorizationFormV20220801, optional, nullable) — Authorization form files provided by the verifier for the verification - `branch_id` (string, optional, nullable) — The branch id associated with the verification request - `loan_id` (string, optional, nullable) — The loan id associated with the verification request - `metadata` (map from string to string, optional, nullable) — A single level key-value JSON object that can be used to store custom data on the verification request; keys and values must be strings - `request_config` (TargetEmployerVerificationConfigV20231030-Input, optional) - `reseller_originating_party` (ResellerOriginatingPartyInputV20220801, optional, nullable) — The originating party that requested the verification via a reseller. `reseller_originating_party` is required for for companies that resell data provided by Truework. - `search_key` (string, optional, nullable) — A non-unique key that can be used to search for Orders - `self_employment_config` (AddonSelfEmploymentConfigV20231030, optional, nullable) — Configuration for adding a self-employment verification to the order. If provided, the created order will include both an income and employment verification and a self-employment verification. Contact your Truework representative to enable it for your account. - `tenant_property_id` (string, optional, nullable) — The ID of the tenant property to be used for this verification request. ## Response ### 201 Order Request Created. - `assets` (AssetsModeResourceV20231030, required, nullable) — Response object specific to Assets requests or VOA add-ons. - `branch_id` (string, required, nullable) — The branch id associated with the verification request - `employer_search` (EmployerSearchModeResourceV20231030, required, nullable) — Response object specific to Employer Search requests. - `id` (string, required) - `loan_id` (string, required, nullable) — The loan id associated with the verification request - `reverification` (ReverificationModeResourceV20231030, required, nullable) — Response object specific to Reverification requests. - `search_key` (string, required, nullable) — A non-unique key that can be used to search for Orders - `self_employment` (SelfEmploymentModeResourceV20231030, required, nullable) — Response object specific to Self Employment requests or self-employment add-ons. - `target_employer` (TargetEmployerModeResourceV20231030, required, nullable) — Response object specific to Target Employer requests. - `truework_direct` (TrueworkDirectModeResourceV20231030, required, nullable) — Response object specific to Truework Direct requests. - `truework_direct_session_link` (string, required, nullable) — The Truework Direct URL that is emailed to the applicant for eligible orders. Will only be present when the order is using Truework Direct via email for fulfillment, and the session is prepared for input from the applicant. - `verification_requests` (list of OrderVerificationResponseResourceV20231030, required, nullable) ## Errors ### 400 Bad Request Error Bad Request - `error` (_InvalidRequestError, required) ### 401 Unauthorized Error The request's authorization is missing, invalid, or expired - `error` (Error, required) ### 403 Forbidden Error Forbidden - `error` (Error, required) ### 406 Not Acceptable Error An invalid API version was requested - `error` (Error, required) ### 429 Too Many Requests Error Too Many Requests - `error` (Error, required) ### 451 Unavailable for Legal Reasons Error Frozen SSN - `error` (Error, required) ### 500 Internal Server Error Internal Server Error - `error` (Error, required) ### 501 Not Implemented Error Not Implemented - `error` (Error, required) ## Types ### OrderTargetEmployerVerificationTargetInputV20231030 - `company` (CompanyInputV20231030, required) - `first_name` (string, required) - `last_name` (string, required) - `social_security_number` (string, required) — The target's social security number - `contact_email` (string, optional, nullable) - `date_of_birth` (date, optional, nullable) — Target's date of birth in format YYYY-MM-DD. - `phone_number` (string, optional, nullable) ### AddonAssetsConfigV20231030 - `add_assets_verification` (boolean, required) — When true, add an assets verification (VOA) to the order. - `predicted_yearly_gross_qualifying_income` (AddonAssetsConfigV20231030PredictedYearlyGrossQualifyingIncome, optional, nullable) — The target's predicted yearly gross qualifying income, as a positive value with up to two decimal places. ### AuthorizationFormV20220801 Supporting documentation for the request in PDF, JPEG, or PNG format - `content` (string, required) — base64 representation of the file - `filename` (string, required) ### TargetEmployerVerificationConfigV20231030-Input - `allowed_verification_methods` (list of enum, optional, default: ["instant","smart-outreach","credentials"]) — The list of allowed verification methods. Note: for tenant screening, documents will be added to supplied methods. - Allowed values: `instant`, `credentials`, `smart-outreach`, `documents` ### ResellerOriginatingPartyInputV20220801 - `originating_party` (string, required) - `permissible_purpose` (enum, required) — A valid purpose is required for Truework to process the verification request. Throughout the API, this is signified by the `permissible_purpose` field. | VALUE | DESCRIPTION | | ---------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- | | child-support | Determine child support payments (available to verifiers that represent a state or local child support enforcement agencies) | | credit-application | The target's application for credit | | employee-eligibility | Employee's eligibility for a benefit granted by a governmental agency required by law to consider the employee's financial responsibility or status | | employee-request | The target has issued the verifier written instruction to obtain this information | | employee-review-or-collection | Performing a review or collection of the target's account | | employment | Employment purposes where the target has given prior written consent | | insurance-underwriting-application | Underwriting insurance in response to the target's application | | legitimate-reason-initiated | Legitimate business need for the information in connection with a business transaction initiated by the target | | legitimate-reason-review | Legitimate business need to review the target's account to determine whether the employee continues to meet the terms of the account | | risk-assessment | To assess the credit or prepayment risks associated with an existing credit obligation of the target | | subpoena | For a court order or a federal grand jury subpoena - Allowed values: `child-support`, `credit-application`, `employee-eligibility`, `employee-request`, `employee-review-or-collection`, `employment`, `insurance-underwriting-application`, `legitimate-reason-initiated`, `legitimate-reason-review`, `risk-assessment`, `subpoena` - `use_case` (enum, required) — The verification request use case describes the type of product the verification request is originating from. If omitted, the verifier type in account settings will be used as a default | VALUE | DESCRIPTION | | ------------------ | ------------------------------------------------------------------------------------------------------------------------------ | | mortgage | Verification for a mortgage | | home-equity | Verification for home equity | background | Verification for a background check | | tenant | Verification for a rental property | | government | Verification for government/social services | | auto | Verification for auto lending | | lending | Verification for personal loans or consumer lending | | credit | Verification for credit cards | | identity | Verification for identity or fraud | | insurance | Verification for insurance | | health | Verification for health services | | offers | Verification for offers | | account-management | Verification for account management | | preapproval | Verification for preapprovals | - Allowed values: `mortgage`, `home-equity`, `background`, `tenant`, `government`, `auto`, `lending`, `credit`, `identity`, `insurance`, `health`, `offers`, `account-management`, `preapproval` ### AddonSelfEmploymentConfigV20231030 - `add_self_employment_verification` (boolean, required) — When true, add a self-employment verification to the order. - `business_name` (string, optional, nullable) — The business name for the self-employed target. - `business_structure` (enum, optional, nullable) — The legal structure of the self-employed business. - Allowed values: `sole_proprietorship`, `s_corp`, `partnership`, `corp`, `llc` - `ownership_percentage` (AddonSelfEmploymentConfigV20231030OwnershipPercentage, optional, nullable) — The target's ownership percentage of the business (0-100). ### AssetsModeResourceV20231030 - `additional_information` (string, required, nullable) — Any additional information about the target that can help expedite the completion of the verification request - `authorization_forms` (list of DocumentOutputResourceV20220801, required, nullable) — Authorization form files provided by the verifier for the verification - `branch_id` (string, required, nullable) — The branch id associated with the verification request - `loan_id` (string, required, nullable) — The loan id associated with the verification request - `metadata` (map from string to string, required, nullable) — A single level key-value JSON object that can be used to store custom data on the verification request; keys and values must be strings - `permissible_purpose` (PermissiblePurposeOutputWrapperV20231030, required) - `reseller_originating_party` (ResellerOriginatingPartyOutputV20231030, required, nullable) — The originating party that requested the verification via a reseller. `reseller_originating_party` is required for for companies that resell data provided by Truework. - `search_key` (string, required, nullable) — A non-unique key that can be used to search for Orders - `target` (OrderVerifyAssetsTargetOutputV20231030, required) - `type` (enum, required) - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets` - `use_case` (UseCaseOutputWrapperV20231030, required) ### EmployerSearchModeResourceV20231030 - `additional_information` (string, required, nullable) — Any additional information about the target that can help expedite the completion of the verification request - `authorization_forms` (list of DocumentOutputResourceV20220801, required, nullable) — Authorization form files provided by the verifier for the verification - `branch_id` (string, required, nullable) — The branch id associated with the verification request - `loan_id` (string, required, nullable) — The loan id associated with the verification request - `metadata` (map from string to string, required, nullable) — A single level key-value JSON object that can be used to store custom data on the verification request; keys and values must be strings - `permissible_purpose` (PermissiblePurposeOutputWrapperV20231030, required) - `request_config` (EmployerSearchConfigV20231030-Output, required) - `reseller_originating_party` (ResellerOriginatingPartyOutputV20231030, required, nullable) — The originating party that requested the verification via a reseller. `reseller_originating_party` is required for for companies that resell data provided by Truework. - `search_key` (string, required, nullable) — A non-unique key that can be used to search for Orders - `target` (OrderEmployerSearchVerificationTargetOutputV20231030, required) - `type` (enum, required) - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `use_case` (UseCaseOutputWrapperV20231030, required) ### ReverificationModeResourceV20231030 - `parent_order_id` (string, required) - `targets` (list of ReverificationTargetOutputV20231030, required) ### SelfEmploymentModeResourceV20231030 - `additional_information` (string, required, nullable) — Any additional information about the target that can help expedite the completion of the verification request - `authorization_forms` (list of DocumentOutputResourceV20220801, required, nullable) — Authorization form files provided by the verifier for the verification - `branch_id` (string, required, nullable) — The branch id associated with the verification request - `loan_id` (string, required, nullable) — The loan id associated with the verification request - `metadata` (map from string to string, required, nullable) — A single level key-value JSON object that can be used to store custom data on the verification request; keys and values must be strings - `permissible_purpose` (PermissiblePurposeOutputWrapperV20231030, required) - `reseller_originating_party` (ResellerOriginatingPartyOutputV20231030, required, nullable) — The originating party that requested the verification via a reseller. `reseller_originating_party` is required for for companies that resell data provided by Truework. - `search_key` (string, required, nullable) — A non-unique key that can be used to search for Orders - `target` (OrderSelfEmploymentTargetOutputV20231030, required) - `type` (enum, required) - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `use_case` (UseCaseOutputWrapperV20231030, required) ### TargetEmployerModeResourceV20231030 - `additional_information` (string, required, nullable) — Any additional information about the target that can help expedite the completion of the verification request - `authorization_forms` (list of DocumentOutputResourceV20220801, required, nullable) — Authorization form files provided by the verifier for the verification - `branch_id` (string, required, nullable) — The branch id associated with the verification request - `loan_id` (string, required, nullable) — The loan id associated with the verification request - `metadata` (map from string to string, required, nullable) — A single level key-value JSON object that can be used to store custom data on the verification request; keys and values must be strings - `permissible_purpose` (PermissiblePurposeOutputWrapperV20231030, required) - `request_config` (TargetEmployerVerificationConfigV20231030-Output, required) - `reseller_originating_party` (ResellerOriginatingPartyOutputV20231030, required, nullable) — The originating party that requested the verification via a reseller. `reseller_originating_party` is required for for companies that resell data provided by Truework. - `search_key` (string, required, nullable) — A non-unique key that can be used to search for Orders - `target` (OrderTargetEmployerVerificationTargetOutputV20231030, required) - `type` (enum, required) - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `use_case` (UseCaseOutputWrapperV20231030, required) ### TrueworkDirectModeResourceV20231030 - `targets` (list of TrueworkDirectTargetOutputV20231030, required) ### OrderVerificationResponseResourceV20231030 - `additional_information` (string, required, nullable) — Any additional information about the target that can help expedite the completion of the verification request - `applicant_documents` (list of ApplicantDocumentMetadataV20220801, required, nullable) - `branch_id` (string, required, nullable) — The branch id associated with the verification request - `cancellation_details` (string, required, nullable) — The details for the cancellation; only present when state is canceled - `cancellation_reason` (CancellationReasonOutputWrapperV20231030, required, nullable) - `created` (datetime, required) - `date_of_completion` (datetime, required, nullable) — The date when this verification was completed in ISO 8601 format - `documents` (list of DocumentOutputResourceV20220801, required, nullable) — Supporting documentation files provided by the verifier for the verification - `id` (string, required) - `loan_id` (string, required, nullable) — The loan id associated with the verification request - `metadata` (map from string to string, required, nullable) — A single level key-value JSON object that can be used to store custom data on the verification request; keys and values must be strings - `permissible_purpose` (PermissiblePurposeOutputWrapperV20231030, required) - `reports` (list of OrderVerificationResponseResourceV20231030ReportsItems, required, nullable) - `reseller_originating_party` (ResellerOriginatingPartyOutputV20231030, required, nullable) — The originating party that requested the verification via a reseller. `reseller_originating_party` is required for for companies that resell data provided by Truework. - `state` (ExternalStateOutputWrapperV20231030, required) - `target` (SubmissionTargetOutputVMinimumVersion, required) - `target_rental_property_addresses` (list of AddressV20220801-Output, required, nullable) — The addresses of the target rental properties related to a rental income verification. - `turnaround_time` (TurnaroundTimeV20231030, required) — We use data from thousands of verification requests to estimate the duration between creation and completion of a request. For a provided company, upper_bound and lower_bound are the time estimates (in hours) that this particular request will take to be fully processed by Truework. May be an empty if an estimate does not exist for the verification request. - `type` (enum, required) - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `unverified_information` (OrderAnnotationsV20231030, required, nullable) — Consumer-stated information related to a verification that does not have any reports - `use_case` (UseCaseOutputWrapperV20231030, required) ### _InvalidRequestError - `message` (string, required, default: Invalid field values provided) ### Error - `message` (string, required) ### CompanyInputV20231030 - `name` (string, required) - `address` (AddressV20220801-Input, optional, nullable) ### AddonAssetsConfigV20231030PredictedYearlyGrossQualifyingIncome The target's predicted yearly gross qualifying income, as a positive value with up to two decimal places. ### AddonSelfEmploymentConfigV20231030OwnershipPercentage The target's ownership percentage of the business (0-100). ### DocumentOutputResourceV20220801 - `filename` (string, required, nullable) ### PermissiblePurposeOutputWrapperV20231030 - `canonical_value` (enum, required) — A valid purpose is required for Truework to process the verification request. Throughout the API, this is signified by the `permissible_purpose` field. | VALUE | DESCRIPTION | | ---------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- | | child-support | Determine child support payments (available to verifiers that represent a state or local child support enforcement agencies) | | credit-application | The target's application for credit | | employee-eligibility | Employee's eligibility for a benefit granted by a governmental agency required by law to consider the employee's financial responsibility or status | | employee-request | The target has issued the verifier written instruction to obtain this information | | employee-review-or-collection | Performing a review or collection of the target's account | | employment | Employment purposes where the target has given prior written consent | | insurance-underwriting-application | Underwriting insurance in response to the target's application | | legitimate-reason-initiated | Legitimate business need for the information in connection with a business transaction initiated by the target | | legitimate-reason-review | Legitimate business need to review the target's account to determine whether the employee continues to meet the terms of the account | | risk-assessment | To assess the credit or prepayment risks associated with an existing credit obligation of the target | | subpoena | For a court order or a federal grand jury subpoena | other | No other value fits the permissible purpose of this verification request | - Allowed values: `child-support`, `credit-application`, `employee-eligibility`, `employee-request`, `employee-review-or-collection`, `employment`, `insurance-underwriting-application`, `legitimate-reason-initiated`, `legitimate-reason-review`, `risk-assessment`, `subpoena`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### ResellerOriginatingPartyOutputV20231030 - `originating_party` (string, required) - `permissible_purpose` (PermissiblePurposeOutputWrapperV20231030, required) - `use_case` (UseCaseOutputWrapperV20231030, required) ### OrderVerifyAssetsTargetOutputV20231030 - `contact_email` (string, required, nullable) - `date_of_birth` (date, required, nullable) — Target's date of birth in format YYYY-MM-DD. - `first_name` (string, required, nullable) - `last_name` (string, required, nullable) - `social_security_number` (string, required, nullable) — The target's obfuscated social security number ### UseCaseOutputWrapperV20231030 - `canonical_value` (enum, required) — The verification request use case describes the type of product the verification request is originating from. If omitted, the verifier type in account settings will be used as a default | VALUE | DESCRIPTION | | ------------------ | ------------------------------------------------------------------------------------------------------------------------------ | | mortgage | Verification for a mortgage | | home-equity | Verification for home equity | background | Verification for a background check | | tenant | Verification for a rental property | | government | Verification for government/social services | | auto | Verification for auto lending | | lending | Verification for personal loans or consumer lending | | credit | Verification for credit cards | | identity | Verification for identity or fraud | | insurance | Verification for insurance | | health | Verification for health services | | offers | Verification for offers | | account-management | Verification for account management | | preapproval | Verification for preapprovals | | other | Verification for other products. This exists for historical compatibility, no new Schemas can be created with this value | - Allowed values: `mortgage`, `home-equity`, `background`, `tenant`, `government`, `auto`, `lending`, `credit`, `identity`, `insurance`, `health`, `offers`, `account-management`, `preapproval`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### EmployerSearchConfigV20231030-Output - `employer_filter` (enum, required) - Allowed values: `any-employers`, `current-employers`, `previous-employers` ### OrderEmployerSearchVerificationTargetOutputV20231030 - `contact_email` (string, required, nullable) - `date_of_birth` (date, required, nullable) — Target's date of birth in format YYYY-MM-DD. - `first_name` (string, required, nullable) - `last_name` (string, required, nullable) - `social_security_number` (string, required, nullable) — The target's obfuscated social security number ### ReverificationTargetOutputV20231030 - `first_name` (string, required) - `last_name` (string, required) - `truework_direct_session_token` (string, required, nullable) ### OrderSelfEmploymentTargetOutputV20231030 - `business_name` (string, required, nullable) — The business name for a self-employed target. - `business_structure` (enum, required, nullable) — The legal structure of the self-employed business. - Allowed values: `sole_proprietorship`, `s_corp`, `partnership`, `corp`, `llc` - `contact_email` (string, required, nullable) - `date_of_birth` (date, required, nullable) — Target's date of birth in format YYYY-MM-DD. - `first_name` (string, required, nullable) - `last_name` (string, required, nullable) - `ownership_percentage` (string, required, nullable) — The target's ownership percentage of the business (0-100). - `social_security_number` (string, required, nullable) — The target's obfuscated social security number ### TargetEmployerVerificationConfigV20231030-Output - `allowed_verification_methods` (list of enum, required) — The list of allowed verification methods. Note: for tenant screening, documents will be added to supplied methods. - Allowed values: `instant`, `credentials`, `smart-outreach`, `documents` ### OrderTargetEmployerVerificationTargetOutputV20231030 - `company` (CompanyOutputV20231030, required, nullable) - `contact_email` (string, required, nullable) - `date_of_birth` (date, required, nullable) — Target's date of birth in format YYYY-MM-DD. - `first_name` (string, required, nullable) - `last_name` (string, required, nullable) - `social_security_number` (string, required, nullable) — The target's obfuscated social security number ### TrueworkDirectTargetOutputV20231030 - `authorization_forms` (list of DocumentOutputResourceV20220801, required, nullable) — Authorization form files provided by the verifier for the verification - `companies` (list of CompanyOutputV20220801, required, nullable) - `contact_email` (string, required, nullable) - `date_of_birth` (date, required) — Target's date of birth in format YYYY-MM-DD. - `first_name` (string, required, nullable) - `last_name` (string, required, nullable) - `metadata` (map from string to string, required, nullable) - `permissible_purpose` (PermissiblePurposeOutputWrapperV20231030, required) - `reseller_originating_party` (ResellerOriginatingPartyOutputV20231030, required, nullable) - `self_employments` (list of SelfEmploymentOutputV20231030, required, nullable) — Self-employment details, one entry per self-employment verification on the order. Present whenever the order includes any self-employment verifications. - `social_security_number` (string, required) — The target's obfuscated social security number - `truework_direct_session_link` (string, required, nullable) - `truework_direct_session_token` (string, required) - `type` (enum, required) - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `use_case` (UseCaseOutputWrapperV20231030, required) ### ApplicantDocumentMetadataV20220801 - `detections` (list of DocumentDetection, required) — A list of fraud detections that were run on the document. If a detection is not present in the list it either passed or was not run. - `id` (string, required) - `url` (string, required) — A URL where the document content can be downloaded via an authenticated GET request. ### CancellationReasonOutputWrapperV20231030 - `canonical_value` (enum, required) — | VALUE | DESCRIPTION | | -------------------- | ---------------------------------------------------------------------------------------------------- | | immediate | Can be used to cancel a request directly after submitting, before Truework has started processing it | | high-turnaround-time | The request is taking longer than expected | | competitor | You preferred a competitor for this request | | wrong-info | The request that is submitted contains information that is wrong | | no-match | No record was located for the given target and request parameters | | other | No other reason in the list fits the cancellation reason | - Allowed values: `immediate`, `high-turnaround-time`, `competitor`, `wrong-info`, `no-match`, `other` - `raw_value` (string, required) — An unlimited string representation of the cancellation reason. When `canonical_value` is `other`, this may carry a more specific identifier such as `family-member-as-respondent`, `self-employed-self-verification`, `ssn-mismatch`, or `employer-refused`. ### OrderVerificationResponseResourceV20231030ReportsItems ### ExternalStateOutputWrapperV20231030 - `canonical_value` (enum, required) — The state helps convey where the verification request is in the Truework process. It will be returned in the JSON objects returned from this endpoint. The initial state of all Schemas is pending-approval, and will switch to processing once Truework begins to process the request. However, it may switch back to pending-approval if it is pending approval by the target. The states completed, canceled, invalid are all terminal states of a Verification. A Report is only available when it is in the completed state. A Verification will enter the state canceled when either Truework or an API user cancels the request. The invalid state indicates that there are issues with the data e.g. we could not locate the employee at a given employer, or could not find the employer itself. | VALUE | DESCRIPTION | | ---------------- | ------------------------------------------------------------------------------------------------------- | | pending-approval | The initial state after creation; the Truework team has not started working on this request yet | | action-required | A user action is required to continue processing this request; visit the dashboard for more information | | invalid | Contains invalid information that prevents the verification request from being processed by Truework | | processing | The Truework team is currently working on the verification request | | completed | The verification request has been completed and a report can be found from the reports endpoint | | canceled | Truework denied processing of the request or the verifier no longer wants the request to be processed | | other | No other value fits the state of this verification request | - Allowed values: `pending-approval`, `action-required`, `invalid`, `processing`, `completed`, `canceled`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### SubmissionTargetOutputVMinimumVersion - `company` (CompanyOutputVMinimumVersion, required, nullable) - `contact_email` (string, required, nullable) - `date_of_birth` (date, required, nullable) — Target's date of birth in format YYYY-MM-DD. `date_of_birth` is required for employer search/synchronous requests - `first_name` (string, required) - `last_name` (string, required) - `phone_number` (string, required, nullable) - `social_security_number` (string, required, nullable) — The target's obfuscated social security number ### AddressV20220801-Output - `address` (string, required, nullable) - `city` (string, required, nullable) - `country_code` (string, required, nullable) - `country_subdivision_code` (string, required, nullable) - `extended_address` (string, required, nullable) - `postal_code` (string, required, nullable) ### TurnaroundTimeV20231030 - `best_estimate` (string, required, nullable) — The best estimate of turnaround time in hours - `lower_bound` (string, required, nullable) — The estimated lower bound in hours - `upper_bound` (string, required, nullable) — The estimated upper bound in hours ### OrderAnnotationsV20231030 - `applicant` (_OrderAnnotation, required, nullable) - `verifier` (_OrderAnnotation, required, nullable) ### AddressV20220801-Input - `address` (string, optional, nullable) - `city` (string, optional, nullable) - `country_code` (string, optional, nullable) - `country_subdivision_code` (string, optional, nullable) - `extended_address` (string, optional, nullable) - `postal_code` (string, optional, nullable) ### CompanyOutputV20231030 - `address` (AddressV20220801-Output, required, nullable) - `name` (string, required, nullable) ### CompanyOutputV20220801 - `action` (ActionTypeWrapper, required, nullable) - `address` (AddressV20220801-Output, required, nullable) - `name` (string, required) - `phone_number` (string, required, nullable) ### SelfEmploymentOutputV20231030 - `business_name` (string, required, nullable) — The business name for a self-employed target. - `entity_type` (enum, required, nullable) — Resolved self-employment entity type. Either pre-identified by the verifier at order-create time or selected by the borrower in the widget. - Allowed values: `sole_proprietorship`, `partnership`, `s_corp`, `c_corp` - `verification_id` (string, required, nullable) — The identifier of the self-employment verification this entry produced. Null until the underlying verification is created, which can happen after order creation for document-path entity types. ### DocumentDetection - `count` (integer, required) - `outcome` (DetectionOutcomeWrapper, required) - `type` (DetectionTypeWrapper, required) ### OrderVerificationReportResourceV20231030 An employment or income verification report containing employee details, employer information, and position history. - `additional_notes` (string, required, nullable) - `annotations` (OrderAnnotationsV20231030, required, nullable) — Consumer-stated information related to this report - `applicant_documents` (list of ApplicantDocumentMetadataV20220801, required, nullable) - `completed` (datetime, required, nullable) — The date and time when the verification was completed - `completed_by_method` (CompletedByMethodOutputWrapperV20231030, required, nullable) - `created` (datetime, required) - `current_as_of` (date, required) - `disputes` (list of DisputeV20231030, required, nullable) — Disputes that are currently open and relevant to this report - `eligibilities` (list of EligibilityV20231030, required, nullable) — Eligibilities for this report - `employee` (EmployeeV20231030, required, nullable) - `employer` (EmployerV20231030, required, nullable) - `financial_institution_accounts` (list of FinancialInstitutionAccountV20231030, required, nullable) - `id` (string, required) - `income_analytics` (ReportIncomeAnalyticsV20231030, required, nullable) — Calculated income features. Only returned if the `income_analytics` query parameter is provided and is `true` and the employee status on the report is active. - `paid_through_date` (date, required, nullable) — The pay period end date of the most recent paystub (falling back to the pay date if no pay period end is set). This field is only populated for VOIE reports and will be null for non-VOIE reports or when no paystubs exist. - `paystubs` (list of PaystubV20231030, required, nullable) — Individual paystubs for each pay period. Paystubs are returned sorted in descending order from most recent to least recent pay date. - `report_type` (enum, required) — The type of this report — lets a caller identify the report shape without inferring it from which fields are present. - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `respondent` (RespondentV20231030, required, nullable) - `verification_request` (VerificationRequestV20231030, required) ### OrderVerificationOfAssetsReportResourceV20231030 A verification of assets report containing financial institution account balances and transaction history. - `completed` (datetime, required, nullable) — The date and time when the verification was completed - `completed_by_method` (CompletedByVOAMethodOutputWrapperV20231030, required, nullable) - `created` (datetime, required) - `current_as_of` (date, required) - `eligibilities` (list of EligibilityV20231030, required, nullable) — Eligibilities for this report - `financial_institution_accounts` (list of FinancialInstitutionAccountV20231030, required, nullable) - `id` (string, required) - `report_type` (enum, required) — The type of this report — lets a caller identify the report shape without inferring it from which fields are present. - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `verification_request` (VerificationRequestV20231030, required) ### OrderVerificationSelfEmploymentReportResourceV20231030 A self-employment report containing business information for a self-employed target. - `applicant_documents` (list of ApplicantDocumentMetadataV20220801, required, nullable) - `authorities` (list of enum, required, nullable) — The GSE authorities the income calculation is qualified against, if any. - Allowed values: `fannie_mae`, `freddie_mac` - `business_name` (string, required, nullable) — The business name for a self-employed target. - `completed` (datetime, required, nullable) — The date and time when the verification was completed - `created` (datetime, required) - `current_as_of` (date, required) - `entity_type` (enum, required, nullable) — The legal entity structure of the self-employed business, when resolved. - Allowed values: `sole_proprietorship`, `partnership`, `s_corp`, `c_corp` - `forms_1065` (list of Form1065EntryV20231030, required, nullable) — Partnership tax detail (IRS Form 1065), one entry per business per year. - `forms_1120` (list of Form1120EntryV20231030, required, nullable) — C-corp tax detail (IRS Form 1120), one entry per business per year. - `forms_1120s` (list of Form1120SEntryV20231030, required, nullable) — S-corp tax detail (IRS Form 1120S), one entry per business per year. - `id` (string, required) - `income_amount` (string, required, nullable) — The calculated qualifying income amount for this report, expressed in the unit given by income_basis. - `income_basis` (enum, required, nullable) — Whether income_amount is a monthly or annual figure. - Allowed values: `monthly`, `annual` - `income_calculations` (list of SelfEmploymentIncomeCalculationV20231030, required) — Calculated qualifying income results for this report, newest-per-calculation deduplicated. Empty when no calculation has run yet. - `is_gse_qualified_calculation` (boolean, required, nullable) — Whether the income calculation meets GSE (Fannie Mae / Freddie Mac) qualification standards. - `ownership_percentage` (string, required, nullable) — The target's ownership percentage in the business. - `report_type` (enum, required) — The type of this report — lets a caller identify the report shape without inferring it from which fields are present. - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `schedule_c` (list of ScheduleCEntryV20231030, required, nullable) — Sole-proprietor tax detail (IRS Schedule C), one entry per business per year. - `schedule_k1s` (list of ScheduleK1EntryV20231030, required, nullable) — Per-partner/shareholder tax detail (IRS Schedule K-1), one entry per partner/shareholder per year. - `verification_request` (VerificationRequestV20231030, required) ### OrderVerificationRentalIncomeReportResourceV20231030 A rental income report containing verification details for a borrower's rental property. - `completed` (datetime, required, nullable) — The date and time when the rental report verification was completed. - `created` (datetime, required) - `current_as_of` (date, required) - `id` (string, required) - `net_qualifying_income` (string, required, nullable) — The net qualifying income for the rental property associated with the verification request. - `rental_property_address` (AddressV20220801-Output, required, nullable) — The address of the rental property associated with the verification request. - `report_type` (enum, required) — The type of this report — lets a caller identify the report shape without inferring it from which fields are present. - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` - `verification_request` (VerificationRequestV20231030, required) ### CompanyOutputVMinimumVersion - `address` (string, required, nullable) — Human readable address - `city` (string, required, nullable) - `id` (integer, required, nullable) - `name` (string, required, nullable) - `phone_number` (string, required, nullable) - `state` (string, required, nullable) - `zip_code` (string, required, nullable) ### _OrderAnnotation - `employee` (_EmployeeAnnotation, required, nullable) - `employer` (_EmployerAnnotation, required, nullable) ### ActionTypeWrapper - `canonical_value` (enum, required) — Action Truework should take for applicant's employment at this company. | VALUE | DESCRIPTION | | ----- | ----------- | | verify | Truework should attempt to verify the applicant's employment at this company. | | do-not-verify | Truework should attempt to avoid verifying the applicant's employment at this company, because it has already been verified by other means. | | other | Truework should do something else regarding the applicant's employment at this company | - Allowed values: `verify`, `do-not-verify`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### DetectionOutcomeWrapper - `canonical_value` (enum, required) — The outcome of the detection rule. | VALUE | DESCRIPTION | | ----- | ----------- | | passed | The detection rule passed. | | failed | The detection rule failed. | | not-run | The detection rule was not run. | | other | Another outcome occurred. | - Allowed values: `passed`, `failed`, `not-run`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### DetectionTypeWrapper - `canonical_value` (enum, required) — The type of detection that was found on the document. | VALUE | DESCRIPTION | | ----- | ----------- | | ssn-mismatch | The SSN on the document does not match the SSN on the request. | | employer-name-mismatch | The employer name on the document may not match the employer name on the request. | | page-edited | The form may have been created by a recognized software package. | | other-edits | The form may have been edited with a recognized software package. | | online-generated-paystub | The pay stub format may match a template from sites known to create paystubs for a fee. | | earnings-edits | The listed earnings may have been edited. | | deductions-edits | Current or YTD deductions (including taxes) may have been edited. | | pay-frequency-edits | Pay frequency may have been edited. | | dollar-amount-edits | One or more of the following dollar amounts may have been changed: Beginning balance, Ending balance, Total deposits, Total withdrawals, Daily balance, Individual amounts, Ledger balances. | | employee-taxpayer-id-edits | The employee's social security number may have been edited. | | employee-details-edits | The employee's marital status may have been edited. | | employee-name-edits | The employee's name may have been edited. | | employer-name-edits | The employer’s name may have been edited. | | employer-address-edits | The employer’s address may have been edited. | | date-edits | One or more of the following dates may have been edited (hire date, pay period, period start date, period end date). | | misaligned-text | The field or text may not match the expected alignment compared to the rest of the document. | | other | Something else was detected. | - Allowed values: `ssn-mismatch`, `employer-name-mismatch`, `page-edited`, `other-edits`, `online-generated-paystub`, `earnings-edits`, `deductions-edits`, `pay-frequency-edits`, `dollar-amount-edits`, `employee-taxpayer-id-edits`, `employee-details-edits`, `employee-name-edits`, `employer-name-edits`, `employer-address-edits`, `date-edits`, `misaligned-text`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### CompletedByMethodOutputWrapperV20231030 - `canonical_value` (enum, required) — A limited enum representation of the value, which will not be extended without a version bump. - Allowed values: `instant`, `credentials`, `smart-outreach`, `third-party-providers`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### DisputeV20231030 - `created` (datetime, required) - `description` (string, required, nullable) — Description of dispute - `id` (string, required) — ID for this dispute in Truework - `reference_id` (string, required, nullable) — ID for this dispute to be displayed and referenced outside of this API ### EligibilityV20231030 - `is_eligible` (boolean, required, nullable) — Returns true if this report is eligible for this eligibility type - `provider` (EligibilityProviderOutputWrapperV20231030, required) — The provider of the reference ID - `reference_id` (string, required, nullable) — This is the reference ID to submit to Fannie Mae for purposes of getting Day 1 Certainty - `type` (EligibilityTypeOutputWrapperV20231030, required, nullable) — Eligibility type ### EmployeeV20231030 - `address` (AddressV20220801-Output, required, nullable) - `earnings` (list of EarningsV20231030, required, nullable) - `email` (string, required, nullable) - `first_name` (string, required, nullable) - `hired_date` (date, required, nullable) — This is the most recent hiring date of the employee. If the employee has been rehired, this date will be updated to the most recent hiring date. - `last_name` (string, required, nullable) - `on_leave_date` (date, required, nullable) - `original_hired_date` (date, required, nullable) — This is the original hiring date of the employee. If the employee has been rehired, this date will not change. - `positions` (list of PositionV20231030, required, nullable) - `salary` (SalaryV20231030, required, nullable) - `social_security_number` (string, required, nullable) — The employee's obfuscated social security number - `status` (EmployeeStatusOutputWrapperV20231030, required, nullable) - `status_detail` (EmployeeStatusDetailOutputWrapperV20231030, required, nullable) - `termination_date` (date, required, nullable) ### EmployerV20231030 - `address` (AddressV20220801-Output, required, nullable) - `government_ids` (list of _GovernmentId, required, nullable) - `name` (string, required, nullable) ### FinancialInstitutionAccountV20231030 - `account_name` (string, required, nullable) - `account_type` (string, required, nullable) - `financial_institution_name` (string, required, nullable) - `income_streams` (list of FinancialInstitutionIncomeStreamV20231030, required) - `number` (string, required, nullable) - `oldest_transaction_date` (date, required, nullable) - `owner_name` (string, required, nullable) - `snapshots` (list of FinancialInstitutionAccountSnapshotV20231030, required) ### ReportIncomeAnalyticsV20231030 - `annualized_income` (_AnnualizedIncome, required, nullable) - `income_volatility` (_IncomeVolatility, required, nullable) ### PaystubV20231030 - `base` (string, required, nullable) — Pre-deduction base pay - `bonus` (string, required, nullable) — Pre-deduction bonus pay - `commission` (string, required, nullable) — Pre-deduction commission pay - `gross` (string, required, nullable) — Total pre-deduction earnings for this pay period - `id` (string, required) — ID for this paystub in Truework - `net` (string, required, nullable) — Total post-deduction earnings for this pay period - `other` (string, required, nullable) — Pre-deduction other pay - `overtime` (string, required, nullable) — Pre-deduction overtime pay - `pay_date` (date, required, nullable) — Date of paycheck delivery - `pay_period_end_date` (date, required, nullable) — Last day of pay period - `pay_period_hours` (string, required, nullable) — Hours worked in this pay period - `pay_period_start_date` (date, required, nullable) — First day of pay period - `reference_id` (string, required, nullable) — ID for this paystub from the payroll provider ### RespondentV20231030 - `email` (string, required, nullable) - `full_name` (string, required, nullable) - `title` (string, required, nullable) ### VerificationRequestV20231030 - `created` (datetime, required) - `id` (string, required) - `type` (enum, required) - Allowed values: `employment-income`, `employment`, `tenant-screening`, `assets`, `self-employment`, `rental-income` ### CompletedByVOAMethodOutputWrapperV20231030 - `canonical_value` (enum, required) — A limited enum representation of the value, which will not be extended without a version bump. - Allowed values: `bank`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### Form1065EntryV20231030 Partnership tax detail (IRS Form 1065), one entry per business per year. - `amortization_casualty_loss` (string, required, nullable) - `business_name` (string, required, nullable) - `cost_of_goods_sold` (string, required, nullable) - `depletion` (string, required, nullable) - `depreciation` (string, required, nullable) - `employer_identification_number` (string, required, nullable) - `gross_receipts` (string, required, nullable) - `guaranteed_payments_to_partners` (string, required, nullable) - `mortgages_notes_bonds_payable_in_less_than_one_year` (string, required, nullable) - `non_deductible_travel_and_entertainment` (string, required, nullable) - `ordinary_business_income` (string, required, nullable) - `ordinary_income_loss_from_other_partnerships_estates_and_trusts` (string, required, nullable) - `other_income_loss` (string, required, nullable) - `rental_real_estate_depreciation` (string, required, nullable) - `total_income` (string, required, nullable) - `year` (integer, required) ### Form1120EntryV20231030 C-corp tax detail (IRS Form 1120), one entry per business per year. - `amortization_casualty_loss` (string, required, nullable) - `business_name` (string, required, nullable) - `depletion` (string, required, nullable) - `depreciation` (string, required, nullable) - `dividends_paid_to_borrower` (string, required, nullable) - `employer_identification_number` (string, required, nullable) - `gross_receipts` (string, required, nullable) - `mortgages_notes_bonds_payable_in_less_than_one_year` (string, required, nullable) - `net_operating_loss` (string, required, nullable) - `non_deductible_travel_and_entertainment` (string, required, nullable) - `nonrecurring_gains_losses` (string, required, nullable) - `officer_compensation` (string, required, nullable) - `other_income_loss` (string, required, nullable) - `taxable_income` (string, required, nullable) - `total_income` (string, required, nullable) - `total_tax` (string, required, nullable) - `year` (integer, required) ### Form1120SEntryV20231030 S-corp tax detail (IRS Form 1120S), one entry per business per year. - `amortization_casualty_loss` (string, required, nullable) - `business_name` (string, required, nullable) - `cost_of_goods_sold` (string, required, nullable) - `depletion` (string, required, nullable) - `depreciation` (string, required, nullable) - `employer_identification_number` (string, required, nullable) - `gross_receipts` (string, required, nullable) - `mortgages_notes_bonds_payable_in_less_than_one_year` (string, required, nullable) - `non_deductible_travel_and_entertainment` (string, required, nullable) - `officer_compensation` (string, required, nullable) - `ordinary_business_income` (string, required, nullable) - `other_income_loss` (string, required, nullable) - `rental_real_estate_depreciation` (string, required, nullable) - `total_income` (string, required, nullable) - `year` (integer, required) ### SelfEmploymentIncomeCalculationV20231030 A single calculated-income result for a self-employment report. - `calculated_at` (datetime, required) — When this income calculation was produced. - `calculator` (enum, required) — Which calculator produced this income calculation - fannie_mae when produced directly by Fannie Mae's income calculator, third_party otherwise. - Allowed values: `fannie_mae`, `third_party` - `income_amount` (string, required, nullable) — The calculated qualifying income amount, expressed in the unit given by income_basis. - `income_basis` (enum, required) — Whether income_amount is a monthly or annual figure. - Allowed values: `monthly`, `annual` ### ScheduleCEntryV20231030 Sole-proprietor tax detail (IRS Schedule C), one entry per business per year. - `business_code` (string, required, nullable) — The principal business or professional activity code for this Schedule C. - `business_name` (string, required, nullable) - `business_use_of_home` (string, required, nullable) - `car_and_truck` (string, required, nullable) - `cost_of_goods_sold` (string, required, nullable) - `depreciation` (string, required, nullable) - `gross_receipts` (string, required, nullable) - `insurance` (string, required, nullable) - `legal_and_professional` (string, required, nullable) - `meals_and_entertainment` (string, required, nullable) - `mortgage_interest` (string, required, nullable) - `net_profit_or_loss` (string, required, nullable) - `office_expense` (string, required, nullable) - `other_expenses` (string, required, nullable) - `other_income` (string, required, nullable) - `repairs_and_maintenance` (string, required, nullable) - `returns_and_allowances` (string, required, nullable) - `total_expenses` (string, required, nullable) - `travel` (string, required, nullable) - `utilities_expense` (string, required, nullable) - `wages` (string, required, nullable) - `year` (integer, required) ### ScheduleK1EntryV20231030 Per-partner/shareholder tax detail (IRS Schedule K-1), one entry per partner/shareholder per year. - `distributions` (string, required, nullable) - `entity_ein` (string, required, nullable) - `entity_name` (string, required, nullable) - `guaranteed_payments` (string, required, nullable) - `net_rental_real_estate_income` (string, required, nullable) - `ordinary_business_income` (string, required, nullable) - `ownership_percentage` (string, required, nullable) - `section_179_deduction` (string, required, nullable) - `self_employment_earnings` (string, required, nullable) - `year` (integer, required) ### _EmployeeAnnotation - `positions` (list of _PositionAnnotation, required, nullable) - `salary` (_SalaryAnnotation, required, nullable) - `status` (EmployeeStatusOutputWrapperV20231030, required, nullable) - `status_detail` (EmployeeStatusDetailOutputWrapperV20231030, required, nullable) ### _EmployerAnnotation - `email` (string, required, nullable) - `name` (string, required, nullable) - `phone_number` (string, required, nullable) ### EligibilityProviderOutputWrapperV20231030 - `canonical_value` (enum, required) — A limited enum representation of the value, which will not be extended without a version bump. - Allowed values: `truework`, `argyle`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### EligibilityTypeOutputWrapperV20231030 - `canonical_value` (enum, required) — A limited enum representation of the value, which will not be extended without a version bump. - Allowed values: `d1c`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### EarningsV20231030 - `base` (string, required, nullable) - `bonus` (string, required, nullable) - `commission` (string, required, nullable) - `other` (string, required, nullable) - `overtime` (string, required, nullable) - `total` (string, required, nullable) - `year` (string, required, nullable) ### PositionV20231030 - `employment_type` (EmploymentTypeOutputWrapperV20231030, required, nullable) - `end_date` (date, required, nullable) - `start_date` (date, required, nullable) - `title` (string, required, nullable) ### SalaryV20231030 - `hours_per_week` (string, required, nullable) - `pay_frequency` (PayFrequencyOutputWrapperV20231030, required, nullable) — The frequency by which the employee is paid. - `pay_rate` (PayRateV20231030, required, nullable) — Describes the amount and unit that determine the employees pay. - `reduced_covid` (enum, required) - Allowed values: `yes`, `no`, `unknown` ### EmployeeStatusOutputWrapperV20231030 - `canonical_value` (enum, required) — There are five employment statuses available on the `status` field in `Employee`: | VALUE | DESCRIPTION | VERSION INTRODUCED | OLDER VERSION VALUE | | ---------------- | ------------------------------------------------------------------- | ------------------ | ------------------- | | active | The employee is currently employed and working for this employer | | | | inactive | The employee is not employed at this employer anymore | | | | unknown | Truework could not determine the employment status of this employee | | | | furloughed-covid | The employee was furloughed due to COVID-19 | `2020-12-07` | inactive | | non-employee | Truework could not find record of this employee | `2020-12-07` | unknown | | other | No other value describes the employee's status | `2022-08-01` | N/A | - Allowed values: `active`, `inactive`, `unknown`, `furloughed-covid`, `non-employee`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### EmployeeStatusDetailOutputWrapperV20231030 - `canonical_value` (enum, required) — The `status_detail` provides more granular information for some `status` values: | VALUE | DESCRIPTION | `Status` | | ------------------ | ------------------------------------------------------------------- | ---------------- | | active | The employee is currently employed and working for this employer | active | | int-assignment | The employee is on international assignment | active | | casual | The employee is employed casually | active | | long-term-dis | The employee is on long term disability | active | | sick-leave | The employee is on sick leave | active | | surviving-spouse | The employee is a surviving spouse | inactive | | inactive | The employee is not employed at this employer anymore | inactive | | on-leave | The employee is on leave | active | | multiple-positions | The employee has multiple active positions | active | | new-employee | The employee is new | active | | lay-off | The employee was laid off | inactive | | part-time | The employee is currently employed on a part time basis | active | | retired | The employee is retired | inactive | | separated | The employee is separated | inactive | | season | The employee is seasonal | active | | temporary | The employee is temporary | active | | intern | The employee is an intern | active | | transferred | The employee has been transferred | active | | deceased | The employee is deceased | inactive | | severed-pay | The employee has been severed with pay | inactive | | on-sabbatical | The employee is on sabbatical | active | | divested | The employee is part of a divested population | active | | temp-inactive | The employee is temporarily inactive | inactive | | full-time | The employee is full time | active | | non-emp-ben | The employee is a non employee beneficiary | inactive | | not-assignment | The employee is not currently on assignment | inactive | | not-payroll | The employee is not currently on payroll | inactive | | active-as-needed | The employee is active as needed | active | | unknown | Truework could not determine the employment status of this employee | unknown | | furloughed-covid | The employee was furloughed due to COVID-19 | furloughed-covid | | non-employee | Truework could not find record of this employee | non-employee | | other | No other value exemplifies Verification Status Detail | other | - Allowed values: `active`, `int-assignment`, `casual`, `long-term-dis`, `sick-leave`, `surviving-spouse`, `inactive`, `on-leave`, `multiple-positions`, `new-employee`, `lay-off`, `part-time`, `retired`, `separated`, `season`, `temporary`, `intern`, `transferred`, `deceased`, `severed-pay`, `on-sabbatical`, `divested`, `temp-inactive`, `full-time`, `non-emp-ben`, `not-assignment`, `not-payroll`, `active-as-needed`, `unknown`, `furloughed-covid`, `non-employee`, `future-employee`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### _GovernmentId - `id` (string, required) - `type` (GovernmentIdTypeOutputWrapperV20231030, required) ### FinancialInstitutionIncomeStreamV20231030 - `age_in_months` (integer, required, nullable) - `average_monthly_net_income` (double, required, nullable) - `confidence` (integer, required) - `confidence_level` (string, required) - `end_date` (date, required, nullable) - `estimated_gross_annual` (double, required, nullable) - `frequency_days` (integer, required, nullable) - `id` (string, required) - `name` (string, required) - `net_annual` (double, required, nullable) - `periods` (list of FinancialInstitutionIncomeStreamPeriodV20231030, required) - `start_date` (date, required, nullable) - `status` (string, required) ### FinancialInstitutionAccountSnapshotV20231030 - `available_balance` (double, required, nullable) - `average_monthly_balance` (double, required, nullable) - `balance` (double, required, nullable) - `balance_date` (date, required, nullable) - `currency_code` (string, required, nullable) - `id` (string, required) - `tot_number_days_since_most_recent_insufficient_funds_fee_debit_tx_account` (integer, required, nullable) - `tot_number_insufficient_funds_fee_debit_tx_account` (integer, required, nullable) - `tot_number_insufficient_funds_fee_debit_tx_over_2_months_account` (integer, required, nullable) ### _AnnualizedIncome - `base_amount` (MoneyAmountVMinimumVersion, required, nullable) — Represents annualized income for recurring income, like salary. In rare cases due to data quality issues, gross amount is returned without base amount or vice versa. - `gross_amount` (MoneyAmountVMinimumVersion, required, nullable) — Represents base annualized income plus variable income sources. In rare cases due to data quality issues, gross amount is returned without base amount or vice versa. - `short_employment_warning` (boolean, required) — True if the employee recently started at this position, which could impact annualized income accuracy. - `stale_data_warning` (boolean, required) — True if the data on this report is not fresh, which could impact annualized income accuracy. - `variable_income_warning` (boolean, required) — True if the employees income has high variability, which could impact annualized income accuracy. ### _IncomeVolatility - `gross_income_volatility` (string, required, nullable) — Coefficient of variation of the aggregated per pay period gross earnings for a given list of paystubs. ### _PositionAnnotation - `end_date` (date, required, nullable) - `start_date` (date, required, nullable) - `title` (string, required, nullable) ### _SalaryAnnotation - `pay_rate` (PayRateV20231030, required, nullable) ### EmploymentTypeOutputWrapperV20231030 - `canonical_value` (enum, required) — | VALUE | DESCRIPTION | VERSION INTRODUCED | OLDER VERSION VALUE | | ----------------- | -------------------------------- | ------------------ | ------------------- | | regular-full-time | Regular full time | | | | regular-part-time | Regular part time | | | | contractor-1099 | Contractor | | | | no-answer | Question was not answered | `2020-12-07` | other | | other | Other or unknown employment type | | | - Allowed values: `regular-full-time`, `regular-part-time`, `contractor-1099`, `no-answer`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### PayFrequencyOutputWrapperV20231030 - `canonical_value` (enum, required) — A limited enum representation of the value, which will not be extended without a version bump. - Allowed values: `annually`, `daily`, `semiweekly`, `monthly`, `weekly`, `biweekly`, `bimonthly`, `semimonthly`, `quarterly`, `semiannually`, `thirteen-monthly`, `fourteen-monthly`, `hourly`, `variable`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### PayRateV20231030 - `amount` (string, required, nullable) — The amount the employee gets paid per timeframe defined by the adject unit field. - `unit` (PayUnitOutputWrapperV20231030, required, nullable) — The timeframe in which the employee gets paid the amount defined in the adjacent amount field. ### GovernmentIdTypeOutputWrapperV20231030 - `canonical_value` (enum, required) — A limited enum representation of the value, which will not be extended without a version bump. - Allowed values: `us-fein`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### FinancialInstitutionIncomeStreamPeriodV20231030 - `amount` (double, required, nullable) - `amount_duration` (string, required) - `amount_type` (string, required) - `estimated_gross_income` (GrossIncomeCalculationResultV20231030, required, nullable) - `id` (string, required) - `start_day` (date, required) - `transactions` (list of FinancialInstitutionTransactionV20231030, required, nullable) ### MoneyAmountVMinimumVersion - `amount` (string, required, nullable) - `currency` (enum, required, nullable) - Allowed values: `USD` ### PayUnitOutputWrapperV20231030 - `canonical_value` (enum, required) — A limited enum representation of the value, which will not be extended without a version bump. - Allowed values: `annually`, `daily`, `semiweekly`, `monthly`, `weekly`, `biweekly`, `bimonthly`, `semimonthly`, `quarterly`, `semiannually`, `thirteen-monthly`, `fourteen-monthly`, `hourly`, `variable`, `other` - `raw_value` (string, required) — An unlimited string representation of the value, which may provide more detail when the canonical value is "other". ### GrossIncomeCalculationResultV20231030 - `average_monthly_net_income` (double, required, nullable) - `estimated_gross_annual` (double, required, nullable) - `net_annual` (double, required, nullable) ### FinancialInstitutionTransactionV20231030 - `amount` (double, required, nullable) - `category` (string, required, nullable) - `description` (string, required) - `id` (string, required) - `payee` (string, required, nullable) - `posted_date` (datetime, required) - `reference_id` (string, required) - `transaction_type` (string, required) - `type` (string, required, nullable) ## Examples **Request** ```json { "permissible_purpose": "child-support", "target": { "company": { "name": "Acme Inc", "address": { "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "postal_code": "98265" } }, "first_name": "Jane", "last_name": "Doe", "social_security_number": "000-00-0000" }, "type": "employment-income", "use_case": "mortgage" } ``` **Response** ```json { "assets": { "additional_information": "some notes about the target", "authorization_forms": [ { "filename": "test.pdf" } ], "branch_id": "1234", "loan_id": "1234", "metadata": { "file_number": "C4066199" }, "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "reseller_originating_party": { "originating_party": "Acme Corporation", "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "search_key": "12345", "target": { "contact_email": "string", "date_of_birth": "1985-12-20", "first_name": "Jane", "last_name": "Doe", "social_security_number": "***-**-0000" }, "type": "employment-income", "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "branch_id": "5678", "employer_search": { "additional_information": "some notes about the target", "authorization_forms": [ { "filename": "test.pdf" } ], "branch_id": "1234", "loan_id": "1234", "metadata": { "file_number": "C4066199" }, "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "request_config": { "employer_filter": "any-employers" }, "reseller_originating_party": { "originating_party": "Acme Corporation", "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "search_key": "12345", "target": { "contact_email": "string", "date_of_birth": "1985-12-20", "first_name": "Jane", "last_name": "Doe", "social_security_number": "***-**-0000" }, "type": "employment-income", "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC26", "loan_id": "1234", "reverification": { "parent_order_id": "string", "targets": [ { "first_name": "string", "last_name": "string", "truework_direct_session_token": "string" } ] }, "search_key": "internal_key_12345", "self_employment": { "additional_information": "some notes about the target", "authorization_forms": [ { "filename": "test.pdf" } ], "branch_id": "1234", "loan_id": "1234", "metadata": { "file_number": "C4066199" }, "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "reseller_originating_party": { "originating_party": "Acme Corporation", "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "search_key": "12345", "target": { "business_name": "Jane Doe Consulting", "business_structure": "sole_proprietorship", "contact_email": "string", "date_of_birth": "1985-12-20", "first_name": "Jane", "last_name": "Doe", "ownership_percentage": "100.00", "social_security_number": "***-**-0000" }, "type": "employment-income", "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "target_employer": { "additional_information": "some notes about the target", "authorization_forms": [ { "filename": "test.pdf" } ], "branch_id": "1234", "loan_id": "1234", "metadata": { "file_number": "C4066199" }, "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "request_config": { "allowed_verification_methods": [ "instant" ] }, "reseller_originating_party": { "originating_party": "Acme Corporation", "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "search_key": "12345", "target": { "company": { "address": { "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "extended_address": null, "postal_code": "98265" }, "name": "Acme Inc" }, "contact_email": "string", "date_of_birth": "1985-12-20", "first_name": "Jane", "last_name": "Doe", "social_security_number": "***-**-0000" }, "type": "employment-income", "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "truework_direct": { "targets": [ { "authorization_forms": [ { "filename": "test.pdf" } ], "companies": [ { "action": { "canonical_value": "verify", "raw_value": "string" }, "address": { "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "extended_address": "Suite 300", "postal_code": "98265" }, "name": "Acme Corp", "phone_number": "string" } ], "contact_email": "jane.doe@example.com", "date_of_birth": "1990-05-20", "first_name": "Jane", "last_name": "Doe", "metadata": { "file_number": "C4066199" }, "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "reseller_originating_party": { "originating_party": "Acme Corporation", "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "self_employments": [ { "business_name": "Jane Doe Consulting", "entity_type": "sole_proprietorship", "verification_id": "AAAAAAAADU8ACy03lGitY_ocCMCcgproUq8Gt4r37MM6GbyX2-DxWM3Y" } ], "social_security_number": "***-**-0000", "truework_direct_session_link": "https://app.truework.com/api/connect/employee/email/tjs_i1D3IHdW52_vsLP5vQTng7vXBX93UD_7UdtVOIH2qVQ", "truework_direct_session_token": "tjs_i1D3IHdW52_vsLP5vQTng7vXBX93UD_7UdtVOIH2qVQ", "type": "employment-income", "use_case": { "canonical_value": "mortgage", "raw_value": "string" } } ] }, "truework_direct_session_link": "string", "verification_requests": [ { "additional_information": "some notes about the target", "applicant_documents": [ { "detections": [ { "count": 1, "outcome": { "canonical_value": "passed", "raw_value": "string" }, "type": { "canonical_value": "ssn-mismatch", "raw_value": "string" } } ], "id": "AAAAAAAAA3IAF7BGt6e3K0DXcz2pU2ZnvhxOzrfckvfNROXjJN9Rf6oV", "url": "string" } ], "branch_id": "5678", "cancellation_details": "string", "cancellation_reason": { "canonical_value": "immediate", "raw_value": "string" }, "created": "2021-12-20T18:50:20.291247Z", "date_of_completion": "2021-12-20T18:50:20.291247Z", "documents": [ { "filename": "test.pdf" } ], "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC26", "loan_id": "1234", "metadata": { "file_number": "C4066199" }, "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "reports": [ { "additional_notes": "string", "annotations": { "applicant": { "employee": { "positions": {}, "salary": {}, "status": {}, "status_detail": {} }, "employer": { "email": {}, "name": {}, "phone_number": {} } }, "verifier": { "employee": { "positions": {}, "salary": {}, "status": {}, "status_detail": {} }, "employer": { "email": {}, "name": {}, "phone_number": {} } } }, "applicant_documents": [ { "detections": [ { "count": 1, "outcome": { "canonical_value": "passed", "raw_value": "string" }, "type": { "canonical_value": "ssn-mismatch", "raw_value": "string" } } ], "id": "AAAAAAAAA3IAF7BGt6e3K0DXcz2pU2ZnvhxOzrfckvfNROXjJN9Rf6oV", "url": "string" } ], "completed": "2021-12-20T18:50:20.291247Z", "completed_by_method": { "canonical_value": "instant", "raw_value": "string" }, "created": "2021-12-20T18:50:20.291247Z", "current_as_of": "2021-12-20", "disputes": [ { "created": "2021-12-20T18:50:20.291247Z", "description": "Employee Title", "id": "AAAAAAAAAL8AElevkrw2n2vI8ScqGJEf50Lfg4W9LiQXwi-KSmg7DH0P", "reference_id": "d75346a0-a747-4907-a506-639ea436f2b0" } ], "eligibilities": [ { "is_eligible": true, "provider": { "canonical_value": "truework", "raw_value": "truework" }, "reference_id": "FNM123", "type": { "canonical_value": "d1c", "raw_value": "string" } } ], "employee": { "address": { "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "extended_address": "Suite 300", "postal_code": "98265" }, "earnings": [ { "base": "35000.00", "bonus": "0.00", "commission": "100.25", "other": "0.00", "overtime": "200.00", "total": "35300.25", "year": "2020" } ], "email": "john.doe@example.com", "first_name": "Jane", "hired_date": "2023-05-15", "last_name": "Doe", "on_leave_date": "2023-08-20", "original_hired_date": "2020-02-16", "positions": [ { "employment_type": { "canonical_value": "regular-full-time", "raw_value": "string" }, "end_date": "2022-12-31", "start_date": "2022-01-01", "title": "Software Engineer" } ], "salary": { "hours_per_week": "40", "pay_frequency": { "canonical_value": "annually", "raw_value": "string" }, "pay_rate": { "amount": "150000.00", "unit": {} }, "reduced_covid": "yes" }, "social_security_number": "***-**-0000", "status": { "canonical_value": "active", "raw_value": "string" }, "status_detail": { "canonical_value": "active", "raw_value": "string" }, "termination_date": "2024-02-29" }, "employer": { "address": { "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "extended_address": "Suite 300", "postal_code": "98265" }, "government_ids": [ { "id": "123456789", "type": { "canonical_value": "us-fein", "raw_value": "string" } } ], "name": "ACME Inc" }, "financial_institution_accounts": [ { "account_name": "string", "account_type": "string", "financial_institution_name": "string", "income_streams": [ { "age_in_months": 1, "average_monthly_net_income": 1.1, "confidence": 1, "confidence_level": "string", "end_date": "2023-01-15", "estimated_gross_annual": 1.1, "frequency_days": 1, "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC31", "name": "string", "net_annual": 1.1, "periods": [ { "amount": 1.1, "amount_duration": "string", "amount_type": "string", "estimated_gross_income": { "average_monthly_net_income": {}, "estimated_gross_annual": {}, "net_annual": {} }, "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC31", "start_day": "2023-01-15", "transactions": [ { "amount": {}, "category": {}, "description": "string", "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC31", "payee": {}, "posted_date": "2024-01-15T09:30:00Z", "reference_id": "string", "transaction_type": "string", "type": {} } ] } ], "start_date": "2023-01-15", "status": "string" } ], "number": "string", "oldest_transaction_date": "2023-01-15", "owner_name": "string", "snapshots": [ { "available_balance": 1.1, "average_monthly_balance": 1.1, "balance": 1.1, "balance_date": "2023-01-15", "currency_code": "string", "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC31", "tot_number_days_since_most_recent_insufficient_funds_fee_debit_tx_account": 1, "tot_number_insufficient_funds_fee_debit_tx_account": 1, "tot_number_insufficient_funds_fee_debit_tx_over_2_months_account": 1 } ] } ], "id": "AAAAAAAADU8ACy03lGitY_ocCMCcgproUq8Gt4r37MM6GbyX2-DxWM3Y", "income_analytics": { "annualized_income": { "base_amount": { "amount": "34.95", "currency": {} }, "gross_amount": { "amount": "34.95", "currency": {} }, "short_employment_warning": true, "stale_data_warning": true, "variable_income_warning": true }, "income_volatility": { "gross_income_volatility": "0.1234" } }, "paid_through_date": "2023-01-15", "paystubs": [ { "base": "7000.00", "bonus": "1000.00", "commission": "0.00", "gross": "8000.00", "id": "AAAAAAAAAmEADp7bmZJNhm4Kr5FM_ty5A_JX-Rxh04GSIHwmIRyp6Xss", "net": "5500.00", "other": "0.00", "overtime": "0.00", "pay_date": "2023-01-15", "pay_period_end_date": "2023-01-15", "pay_period_hours": "86.67", "pay_period_start_date": "2023-01-15", "reference_id": "6894632654" } ], "report_type": "employment", "respondent": { "email": "john.doe@example.com", "full_name": "John Doe", "title": "Software Engineer" }, "verification_request": { "created": "2021-12-20T18:50:20.291247Z", "id": "AAAAAAAAEboABwQhKv1_pWO7MWtZs28ksPTH0uSt6GffsoIJPj7e69P1", "type": "employment" } } ], "reseller_originating_party": { "originating_party": "Acme Corporation", "permissible_purpose": { "canonical_value": "child-support", "raw_value": "string" }, "use_case": { "canonical_value": "mortgage", "raw_value": "string" } }, "state": { "canonical_value": "pending-approval", "raw_value": "string" }, "target": { "company": { "address": "string", "city": "string", "id": 1, "name": "Example Inc.", "phone_number": "string", "state": "string", "zip_code": "string" }, "contact_email": "string", "date_of_birth": "2023-01-15", "first_name": "Jane", "last_name": "Doe", "phone_number": "string", "social_security_number": "***-**-0000" }, "target_rental_property_addresses": [ { "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "extended_address": "Suite 300", "postal_code": "98265" } ], "turnaround_time": { "best_estimate": "48", "lower_bound": "20", "upper_bound": "128" }, "type": "employment-income", "unverified_information": { "applicant": { "employee": { "positions": [ { "end_date": "2023-01-15", "start_date": "2023-01-15", "title": "Software Engineer" } ], "salary": { "pay_rate": { "amount": "150000.00", "unit": {} } }, "status": { "canonical_value": "active", "raw_value": "string" }, "status_detail": { "canonical_value": "active", "raw_value": "string" } }, "employer": { "email": "string", "name": "string", "phone_number": "string" } }, "verifier": { "employee": { "positions": [ { "end_date": "2023-01-15", "start_date": "2023-01-15", "title": "Software Engineer" } ], "salary": { "pay_rate": { "amount": "150000.00", "unit": {} } }, "status": { "canonical_value": "active", "raw_value": "string" }, "status_detail": { "canonical_value": "active", "raw_value": "string" } }, "employer": { "email": "string", "name": "string", "phone_number": "string" } } }, "use_case": { "canonical_value": "mortgage", "raw_value": "string" } } ] } ``` **SDK Code** ```python import requests url = "https://api.truework-sandbox.com/orders/target-employer" payload = { "permissible_purpose": "child-support", "target": { "company": { "name": "Acme Inc", "address": { "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "postal_code": "98265" } }, "first_name": "Jane", "last_name": "Doe", "social_security_number": "000-00-0000" }, "type": "employment-income", "use_case": "mortgage" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.truework-sandbox.com/orders/target-employer'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"permissible_purpose":"child-support","target":{"company":{"name":"Acme Inc","address":{"address":"1234 Rainbow Road","city":"San Francisco","country_code":"US","country_subdivision_code":"CA","postal_code":"98265"}},"first_name":"Jane","last_name":"Doe","social_security_number":"000-00-0000"},"type":"employment-income","use_case":"mortgage"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.truework-sandbox.com/orders/target-employer" payload := strings.NewReader("{\n \"permissible_purpose\": \"child-support\",\n \"target\": {\n \"company\": {\n \"name\": \"Acme Inc\",\n \"address\": {\n \"address\": \"1234 Rainbow Road\",\n \"city\": \"San Francisco\",\n \"country_code\": \"US\",\n \"country_subdivision_code\": \"CA\",\n \"postal_code\": \"98265\"\n }\n },\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"social_security_number\": \"000-00-0000\"\n },\n \"type\": \"employment-income\",\n \"use_case\": \"mortgage\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.truework-sandbox.com/orders/target-employer") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"permissible_purpose\": \"child-support\",\n \"target\": {\n \"company\": {\n \"name\": \"Acme Inc\",\n \"address\": {\n \"address\": \"1234 Rainbow Road\",\n \"city\": \"San Francisco\",\n \"country_code\": \"US\",\n \"country_subdivision_code\": \"CA\",\n \"postal_code\": \"98265\"\n }\n },\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"social_security_number\": \"000-00-0000\"\n },\n \"type\": \"employment-income\",\n \"use_case\": \"mortgage\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.truework-sandbox.com/orders/target-employer") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"permissible_purpose\": \"child-support\",\n \"target\": {\n \"company\": {\n \"name\": \"Acme Inc\",\n \"address\": {\n \"address\": \"1234 Rainbow Road\",\n \"city\": \"San Francisco\",\n \"country_code\": \"US\",\n \"country_subdivision_code\": \"CA\",\n \"postal_code\": \"98265\"\n }\n },\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"social_security_number\": \"000-00-0000\"\n },\n \"type\": \"employment-income\",\n \"use_case\": \"mortgage\"\n}") .asString(); ``` ```php request('POST', 'https://api.truework-sandbox.com/orders/target-employer', [ 'body' => '{ "permissible_purpose": "child-support", "target": { "company": { "name": "Acme Inc", "address": { "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "postal_code": "98265" } }, "first_name": "Jane", "last_name": "Doe", "social_security_number": "000-00-0000" }, "type": "employment-income", "use_case": "mortgage" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.truework-sandbox.com/orders/target-employer"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"permissible_purpose\": \"child-support\",\n \"target\": {\n \"company\": {\n \"name\": \"Acme Inc\",\n \"address\": {\n \"address\": \"1234 Rainbow Road\",\n \"city\": \"San Francisco\",\n \"country_code\": \"US\",\n \"country_subdivision_code\": \"CA\",\n \"postal_code\": \"98265\"\n }\n },\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"social_security_number\": \"000-00-0000\"\n },\n \"type\": \"employment-income\",\n \"use_case\": \"mortgage\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "permissible_purpose": "child-support", "target": [ "company": [ "name": "Acme Inc", "address": [ "address": "1234 Rainbow Road", "city": "San Francisco", "country_code": "US", "country_subdivision_code": "CA", "postal_code": "98265" ] ], "first_name": "Jane", "last_name": "Doe", "social_security_number": "000-00-0000" ], "type": "employment-income", "use_case": "mortgage" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.truework-sandbox.com/orders/target-employer")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```